spfx support for react version 16

%3CLINGO-SUB%20id%3D%22lingo-sub-268535%22%20slang%3D%22en-US%22%3Espfx%20support%20for%20react%20version%2016%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-268535%22%20slang%3D%22en-US%22%3E%3CP%3Ehi%2C%3C%2FP%3E%3CP%3Ei%20heard%20that%20spfx%201.6%20supported%20react%20version%2016.%20after%20installing%20the%20spfx%201.6%20generator%20and%20creating%20a%20new%20spfx%20webpart%20the%20packages.json%20still%20points%20to%20react%2015.6.2.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3Eis%20this%20expected%20behavior%3F%20what%20do%20i%20do%20to%20upgrade%20to%20react%2016%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-269023%22%20slang%3D%22en-US%22%3ERe%3A%20spfx%20support%20for%20react%20version%2016%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-269023%22%20slang%3D%22en-US%22%3E%3CP%3EThanks%20Joel.%3C%2FP%3E%3CP%3EI%20heard%20that%20on%20the%20call.%26nbsp%3B%20%26nbsp%3BI'm%20getting%20so%20confused%20with%20version%20numbers%20!%20SPX%2016%20has%20react%2015.%20SPFX%2017%20has%20react%2016.%26nbsp%3B%20If%20only%20those%20react%20guys%20would%20hurry%20up%20we%20could%20get%20the%20versions%20synched%20%3A)%3C%2Fimg%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-268959%22%20slang%3D%22en-US%22%3ERe%3A%20spfx%20support%20for%20react%20version%2016%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-268959%22%20slang%3D%22en-US%22%3EHi%20Russell%2C%20if%20I'm%20not%20wrong%20React%2016%20will%20only%20be%20in%20SPFx%201.7%2C%20and%20I%20think%20that%20manually%20upgrading%20is%20not%20recommended.%3CBR%20%2F%3ECheck%20recording%20of%20latest%20community%20calls%20as%20I%20remember%20that%20being%20discussed%3CBR%20%2F%3E%3C%2FLINGO-BODY%3E
Frequent Contributor

hi,

i heard that spfx 1.6 supported react version 16. after installing the spfx 1.6 generator and creating a new spfx webpart the packages.json still points to react 15.6.2.

 

is this expected behavior? what do i do to upgrade to react 16?

2 Replies
Highlighted
Hi Russell, if I'm not wrong React 16 will only be in SPFx 1.7, and I think that manually upgrading is not recommended.
Check recording of latest community calls as I remember that being discussed
Highlighted

Thanks Joel.

I heard that on the call.   I'm getting so confused with version numbers ! SPX 16 has react 15. SPFX 17 has react 16.  If only those react guys would hurry up we could get the versions synched :)